import { FieldConfig, UpdateAttributes, UpdateFormValues } from '../interfaces';
import { PrivateDynamicFromService } from './private-dynamic-from.service';
export declare class DynamicFormService {
    private _privateDynamicFromService;
    private subject;
    formConstants: any;
    privateConstants: any;
    formJson: FieldConfig[];
    formValues: any;
    constructor(_privateDynamicFromService: PrivateDynamicFromService);
    setFormFields(fieldList: any): void;
    updateFormAttr(attrData: UpdateAttributes[]): void;
    updateFormValue(attrData: UpdateFormValues[]): void;
    updateFormValidation(ev: any): any;
}
